summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Bob Funk2023-05-25 22:19:17 +0200
committer Willy Sudiarto Raharjo2023-05-27 03:08:46 +0200
commit41de9872cdb20c858ddd8b9536d825b6dd91a414 (patch)
treead359a716bc13a3a096d7fcbbdea91b42f4d098e /multimedia
parent052c4d4c8d9b59aaf09b2386743f50646d9a31cc (diff)
downloadslackbuilds-41de9872cdb20c858ddd8b9536d825b6dd91a414.tar.gz
multimedia/rygel: Added (UPnP AV MediaServer)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/rygel/README16
-rw-r--r--multimedia/rygel/doinst.sh10
-rw-r--r--multimedia/rygel/rygel.SlackBuild113
-rw-r--r--multimedia/rygel/rygel.info10
-rw-r--r--multimedia/rygel/slack-desc19
5 files changed, 168 insertions, 0 deletions
diff --git a/multimedia/rygel/README b/multimedia/rygel/README
new file mode 100644
index 0000000000..e9011f7324
--- /dev/null
+++ b/multimedia/rygel/README
@@ -0,0 +1,16 @@
+Rygel is a home media solution that allows you to easily share audio,
+video and pictures, and control of media player on your home network.
+In technical terms it is both a UPnP AV MediaServer and MediaRenderer
+implemented through a plug-in mechanism. Interoperability with other
+devices in the market is achieved by conformance to very strict
+requirements of DLNA and on the fly conversion of media to format that
+client devices are capable of handling.
+
+Note: On Slackware the rygel daemon must be started and stopped
+manually. There are controls to start/stop the daemon in the
+gnome-control-center "Sharing" panel, but these controls are hard-coded
+to talk to systemd and will not start/stop the daemon. Instead, the
+daemon can be run directly from its installed path of:
+
+ /usr/bin/rygel
+
diff --git a/multimedia/rygel/doinst.sh b/multimedia/rygel/doinst.sh
new file mode 100644
index 0000000000..4a25de5e6f
--- /dev/null
+++ b/multimedia/rygel/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/multimedia/rygel/rygel.SlackBuild b/multimedia/rygel/rygel.SlackBuild
new file mode 100644
index 0000000000..6bf16762c2
--- /dev/null
+++ b/multimedia/rygel/rygel.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for rygel
+
+# Copyright 2023, Bob Funk, Winnipeg Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=rygel
+VERSION=${VERSION:-0.41.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING COPYING.logo NEWS README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/rygel/rygel.info b/multimedia/rygel/rygel.info
new file mode 100644
index 0000000000..56702c540b
--- /dev/null
+++ b/multimedia/rygel/rygel.info
@@ -0,0 +1,10 @@
+PRGNAM="rygel"
+VERSION="0.41.2"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/rygel"
+DOWNLOAD="https://download.gnome.org/sources/rygel/0.41/rygel-0.41.2.tar.xz"
+MD5SUM="38b76ca6ad3876b29f40d94b89b6a9bd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gupnp gupnp-av gupnp-dlna gst-editing-services libmediaart"
+MAINTAINER="Bob Funk"
+EMAIL="bobfunk11@gmail.com"
diff --git a/multimedia/rygel/slack-desc b/multimedia/rygel/slack-desc
new file mode 100644
index 0000000000..1ba0e53220
--- /dev/null
+++ b/multimedia/rygel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rygel: rygel (UPnP AV MediaServer)
+rygel:
+rygel: Rygel is a home media solution that allows you to easily share audio,
+rygel: video and pictures to other devices.
+rygel:
+rygel: Additionally, media player software may use Rygel to become a
+rygel: MediaRenderer that may be controlled remotely.
+rygel:
+rygel:
+rygel: https://gitlab.gnome.org/GNOME/rygel
+rygel: